> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the system data

> Get the system data of the specified vehicle



## OpenAPI

````yaml /api-reference/m2m-api.yml get /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/system-data
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/system-data:
    get:
      tags:
        - Diagnostics
      summary: Get the system data
      description: Get the system data of the specified vehicle
      operationId: getVehicleSystemData
      parameters:
        - name: assetProviderCountryCode
          in: path
          description: Asset provider country code
          required: true
          schema:
            type: string
            minLength: 2
            maxLength: 2
        - name: assetProviderCode
          in: path
          description: Asset provider code
          required: true
          schema:
            type: string
            minLength: 3
            maxLength: 3
        - name: vehicleId
          in: path
          description: Vehicle unique identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The entire system data
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SystemDataResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Vehicle not found
      security:
        - oauth:
            - openid
components:
  schemas:
    SystemDataResponse:
      type: object
      required:
        - name
        - timestamp
        - value
      properties:
        name:
          type: string
          description: The name of the information that is being shown
        timestamp:
          type: string
          format: date-time
          description: The timestamp when the data was recorded
          example: '2025-10-07T10:24:41.143Z'
        value:
          type: string
          description: A stringified value of the information
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````